fluo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mwa...@apache.org
Subject [fluo] branch master updated: Fixes #906 - Create 'fluo get-jars' command (#907)
Date Fri, 11 Aug 2017 14:57:25 GMT
This is an automated email from the ASF dual-hosted git repository.

mwalch pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/fluo.git


The following commit(s) were added to refs/heads/master by this push:
     new db0bdad  Fixes #906 - Create 'fluo get-jars' command (#907)
db0bdad is described below

commit db0bdad009ee90849f0ae0942aeb77fcc3e00ecd
Author: Mike Walch <mwalch@apache.org>
AuthorDate: Fri Aug 11 10:57:23 2017 -0400

    Fixes #906 - Create 'fluo get-jars' command (#907)
---
 modules/distribution/src/main/scripts/fluo | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/modules/distribution/src/main/scripts/fluo b/modules/distribution/src/main/scripts/fluo
index 05cdd4b..989f6f4 100755
--- a/modules/distribution/src/main/scripts/fluo
+++ b/modules/distribution/src/main/scripts/fluo
@@ -64,8 +64,9 @@ function print_usage {
   echo -e "Possible commands:\n"
   echo "  init <app> <appProps> {<arg>} Initializes Fluo application for
<app> using <appProps>. Run with -h to see additional args."
   echo "  classpath                     Prints the classpath setup in fluo-env.sh"
-  echo "  list                          Lists all Fluo applications in Fluo instance"
   echo "  config <app>                  Prints application configuration stored in
Zookeeper for <app>"
+  echo "  get-jars <app> <dir>          Copies <app> jars from DFS to local
<dir>"
+  echo "  list                          Lists all Fluo applications in Fluo instance"
   echo "  scan <app>                    Prints snapshot of data in Fluo <app>"
   echo "  stop <app>                    Stops Fluo application processes on this machine
for <app>"
   echo "  oracle <app>                  Starts Fluo Oracle process for <app>"
@@ -153,6 +154,14 @@ config)
   check_conn_props
   java org.apache.fluo.command.FluoConfig "$FLUO_CONN_PROPS" "$2"
   ;;
+get-jars)
+  verify_app "$2"
+  if [ ! -d "$3" ]; then
+    echo "Directory '$3' does not exist"
+    exit 1
+  fi
+  java org.apache.fluo.command.FluoGetJars "$FLUO_CONN_PROPS" "$2" "$3"
+  ;;
 init)
   if [ -f "$FLUO_CONN_PROPS" ]; then
     check_conn_props

-- 
To stop receiving notification emails like this one, please contact
['"commits@fluo.apache.org" <commits@fluo.apache.org>'].

Mime
View raw message